import { literal, pipe, strictObject, string, union, uuid } from "valibot";

export const processingImagesValidator = strictObject({
	ImageID: pipe(string(), uuid()),
	ImageName: string(),
	Status: union([
		literal("not-started"),
		literal("in-progress"),
		literal("complete"),
	]),
});
